cayenne-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: Cayenne-trunk » HSQLDB,JDK 1.6 (latest),Ubuntu #580
Date Wed, 14 Sep 2011 17:21:44 GMT
See <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/580/changes>

Changes:

[dkazimirchyk] CAY-1210 mysql does not use index for case insensitive searches

case-insensitive-search.patch with some changes

------------------------------------------
[...truncated 336 lines...]
[INFO] Compiling 38 source files to <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-di-unpublished/target/test-classes>
[INFO] 
[INFO] --- maven-surefire-plugin:2.5:test (default-test) @ cayenne-di-unpublished ---
[INFO] Surefire report directory: <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-di-unpublished/target/surefire-reports>

-------------------------------------------------------
 T E S T S
-------------------------------------------------------
Running org.apache.cayenne.CayenneExceptionTest
Tests run: 6, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.029 sec
Running org.apache.cayenne.di.DIBootstrapTest
Tests run: 3, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.027 sec
Running org.apache.cayenne.di.spi.DefaultInjectorBindingTest
Tests run: 5, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.015 sec
Running org.apache.cayenne.di.KeyTest
Tests run: 3, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.005 sec
Running org.apache.cayenne.di.spi.DefaultInjectorInjectionTest
Tests run: 15, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.041 sec
Running org.apache.cayenne.di.spi.DefaultInjectorScopeTest
Tests run: 6, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.012 sec
Running org.apache.cayenne.di.spi.DefaultInjectorCircularInjectionTest
Tests run: 4, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.01 sec
Running org.apache.cayenne.di.spi.DefaultInjectorTest
Tests run: 4, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.006 sec
Running org.apache.cayenne.CayenneRuntimeExceptionTest
Tests run: 8, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.006 sec

Results :

Tests run: 54, Failures: 0, Errors: 0, Skipped: 0

[INFO] 
[INFO] --- maven-jar-plugin:2.3.1:jar (default-jar) @ cayenne-di-unpublished ---
[INFO] Building jar: <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-di-unpublished/target/cayenne-di-unpublished-3.1M4-SNAPSHOT.jar>
[INFO] 
[INFO] >>> maven-source-plugin:2.1.2:jar (bundle-source-jar) @ cayenne-di-unpublished
>>>
[INFO] 
[INFO] --- maven-cayenne-build-plugin:3.1M4-SNAPSHOT:date (date) @ cayenne-di-unpublished
---
[INFO] 
[INFO] <<< maven-source-plugin:2.1.2:jar (bundle-source-jar) @ cayenne-di-unpublished
<<<
[INFO] 
[INFO] --- maven-source-plugin:2.1.2:jar (bundle-source-jar) @ cayenne-di-unpublished ---
[INFO] org already added, skipping
[INFO] org/apache already added, skipping
[INFO] org/apache/cayenne already added, skipping
[INFO] Building jar: <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-di-unpublished/target/cayenne-di-unpublished-3.1M4-SNAPSHOT-sources.jar>
[INFO] org already added, skipping
[INFO] org/apache already added, skipping
[INFO] org/apache/cayenne already added, skipping
[INFO] 
[INFO] --- maven-install-plugin:2.3.1:install (default-install) @ cayenne-di-unpublished ---
[INFO] Installing <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-di-unpublished/target/cayenne-di-unpublished-3.1M4-SNAPSHOT.jar>
to /home/jenkins/.m2/repository/org/apache/cayenne/unpublished/cayenne-di-unpublished/3.1M4-SNAPSHOT/cayenne-di-unpublished-3.1M4-SNAPSHOT.jar
[INFO] Installing <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-di-unpublished/pom.xml>
to /home/jenkins/.m2/repository/org/apache/cayenne/unpublished/cayenne-di-unpublished/3.1M4-SNAPSHOT/cayenne-di-unpublished-3.1M4-SNAPSHOT.pom
[INFO] Installing <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-di-unpublished/target/cayenne-di-unpublished-3.1M4-SNAPSHOT-sources.jar>
to /home/jenkins/.m2/repository/org/apache/cayenne/unpublished/cayenne-di-unpublished/3.1M4-SNAPSHOT/cayenne-di-unpublished-3.1M4-SNAPSHOT-sources.jar
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building Cayenne Java 1.5 Unpublished 3.1M4-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- maven-clean-plugin:2.4.1:clean (default-clean) @ cayenne-jdk1.5-unpublished ---
[INFO] 
[INFO] --- maven-cayenne-build-plugin:3.1M4-SNAPSHOT:date (date) @ cayenne-jdk1.5-unpublished
---
[INFO] 
[INFO] --- javacc-maven-plugin:2.6:jjtree-javacc (jjtree-ejbql) @ cayenne-jdk1.5-unpublished
---
[WARNING] File encoding for grammars has not been configured, using platform default encoding,
i.e. build is platform dependent!
Java Compiler Compiler Version 5.0 (Tree Builder)
(type "jjtree" with no arguments for help)
Reading from file <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/jjtree/org/apache/cayenne/ejbql/EJBQLParser.jjt>
. . .
File "Node.java" does not exist.  Will create one.
File "EJBQLTreeConstants.java" does not exist.  Will create one.
File "JJTEJBQLState.java" does not exist.  Will create one.
Annotated grammar generated successfully in <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/target/javacc-1316020896787/node/EJBQLParser.jj>
Java Compiler Compiler Version 5.0 (Parser Generator)
(type "javacc" with no arguments for help)
Reading from file <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/target/javacc-1316020896787/node/EJBQLParser.jj>
. . .
Warning: Choice conflict in (...)* construct at line 840, column 17.
         Expansion nested within construct and expansion following construct
         have common prefixes, one of which is: "+"
         Consider using a lookahead of 2 or more for nested expansion.
Warning: Choice conflict in (...)* construct at line 849, column 17.
         Expansion nested within construct and expansion following construct
         have common prefixes, one of which is: "*"
         Consider using a lookahead of 2 or more for nested expansion.
File "TokenMgrError.java" does not exist.  Will create one.
File "ParseException.java" does not exist.  Will create one.
File "Token.java" does not exist.  Will create one.
File "JavaCharStream.java" does not exist.  Will create one.
Parser generated with 0 errors and 2 warnings.
[INFO] Processed 1 grammar
[INFO] 
[INFO] --- maven-antrun-plugin:1.3:run (default) @ cayenne-jdk1.5-unpublished ---
[INFO] Executing tasks
[INFO] Executed tasks
[INFO] 
[INFO] --- maven-resources-plugin:2.4.3:resources (default-resources) @ cayenne-jdk1.5-unpublished
---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] Copying 17 resources
[INFO] 
[INFO] --- maven-compiler-plugin:2.3.2:compile (default-compile) @ cayenne-jdk1.5-unpublished
---
[WARNING] File encoding has not been set, using platform encoding ANSI_X3.4-1968, i.e. build
is platform dependent!
[INFO] Compiling 922 source files to <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/target/classes>
[INFO] -------------------------------------------------------------
[ERROR] COMPILATION ERROR : 
[INFO] -------------------------------------------------------------
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/db2/DB2Sniffer.java>:[45,16]
incompatible types
found   : java.lang.Object
required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/hsqldb/HSQLDBSniffer.java>:[67,12]
incompatible types
found   : java.lang.Object
required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/h2/H2Sniffer.java>:[45,16]
incompatible types
found   : java.lang.Object
required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/frontbase/FrontBaseSniffer.java>:[45,16]
incompatible types
found   : java.lang.Object
required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/sybase/SybaseSniffer.java>:[50,14]
incompatible types
found   : java.lang.Object
required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/sybase/SybaseSniffer.java>:[56,20]
incompatible types
found   : java.lang.Object
required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/oracle/OracleSniffer.java>:[49,16]
incompatible types
found   : java.lang.Object
required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/ingres/IngresSniffer.java>:[47,16]
incompatible types
found   : java.lang.Object
required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/openbase/OpenBaseSniffer.java>:[47,16]
incompatible types
found   : java.lang.Object
required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/derby/DerbySniffer.java>:[47,16]
incompatible types
found   : java.lang.Object
required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/postgres/PostgresSniffer.java>:[45,16]
incompatible types
found   : java.lang.Object
required: org.apache.cayenne.dba.DbAdapter
[INFO] 11 errors 
[INFO] -------------------------------------------------------------
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] Cayenne ........................................... SUCCESS [0.280s]
[INFO] Common Unit Test Utilities ........................ SUCCESS [1.900s]
[INFO] Cayenne Internal Build Plugin ..................... SUCCESS [1.274s]
[INFO] Cayenne Internal Documentation Build Plugin ....... SUCCESS [1.877s]
[INFO] Cayenne Build Tools Parent ........................ SUCCESS [0.036s]
[INFO] Cayenne License and Notice Bundle ................. SUCCESS [0.725s]
[INFO] Cayenne Dependency Injection Container ............ SUCCESS [2.599s]
[INFO] Cayenne Java 1.5 Unpublished ...................... FAILURE [7.071s]
[INFO] Cayenne WebObjects Compatibility Library .......... SKIPPED
[INFO] Cayenne Aggregated Server Jar ..................... SKIPPED
[INFO] Cayenne Aggregated Client Jar ..................... SKIPPED
[INFO] Cayenne Project ................................... SKIPPED
[INFO] Cayenne Tools ..................................... SKIPPED
[INFO] Library: cayenne-lifecycle ........................ SKIPPED
[INFO] Cayenne Maven Plugin .............................. SKIPPED
[INFO] Cayenne Framework Aggregator Project .............. SKIPPED
[INFO] Cayenne Integration Tests Parent .................. SKIPPED
[INFO] Integration Tests - Cayenne Runtime ............... SKIPPED
[INFO] Integration Tests - Cayenne Tools ................. SKIPPED
[INFO] Cayenne Modeler ................................... SKIPPED
[INFO] Cayenne Modeler Maven Plugin ...................... SKIPPED
[INFO] Cayenne Modeler Parent ............................ SKIPPED
[INFO] Cayenne Tutorial .................................. SKIPPED
[INFO] Cayenne ROP Server Tutorial ....................... SKIPPED
[INFO] Cayenne ROP Client Tutorial ....................... SKIPPED
[INFO] Cayenne Tutorials ................................. SKIPPED
[INFO] Cayenne Documentation ............................. SKIPPED
[INFO] Cayenne Documenation Parent ....................... SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 16.468s
[INFO] Finished at: Wed Sep 14 17:21:43 UTC 2011
[INFO] Final Memory: 39M/368M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.3.2:compile
(default-compile) on project cayenne-jdk1.5-unpublished: Compilation failure: Compilation
failure:
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/db2/DB2Sniffer.java>:[45,16]
incompatible types
[ERROR] found   : java.lang.Object
[ERROR] required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/hsqldb/HSQLDBSniffer.java>:[67,12]
incompatible types
[ERROR] found   : java.lang.Object
[ERROR] required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/h2/H2Sniffer.java>:[45,16]
incompatible types
[ERROR] found   : java.lang.Object
[ERROR] required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/frontbase/FrontBaseSniffer.java>:[45,16]
incompatible types
[ERROR] found   : java.lang.Object
[ERROR] required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/sybase/SybaseSniffer.java>:[50,14]
incompatible types
[ERROR] found   : java.lang.Object
[ERROR] required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/sybase/SybaseSniffer.java>:[56,20]
incompatible types
[ERROR] found   : java.lang.Object
[ERROR] required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/oracle/OracleSniffer.java>:[49,16]
incompatible types
[ERROR] found   : java.lang.Object
[ERROR] required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/ingres/IngresSniffer.java>:[47,16]
incompatible types
[ERROR] found   : java.lang.Object
[ERROR] required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/openbase/OpenBaseSniffer.java>:[47,16]
incompatible types
[ERROR] found   : java.lang.Object
[ERROR] required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/derby/DerbySniffer.java>:[47,16]
incompatible types
[ERROR] found   : java.lang.Object
[ERROR] required: org.apache.cayenne.dba.DbAdapter
[ERROR] <https://builds.apache.org/job/Cayenne-trunk/./cayenneTestConnection=HSQLDB,jdk=JDK%201.6%20(latest),label=Ubuntu/ws/trunk/framework/cayenne-jdk1.5-unpublished/src/main/java/org/apache/cayenne/dba/postgres/PostgresSniffer.java>:[45,16]
incompatible types
[ERROR] found   : java.lang.Object
[ERROR] required: org.apache.cayenne.dba.DbAdapter
[ERROR] -> [Help 1]
org.apache.maven.lifecycle.LifecycleExecutionException: Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.3.2:compile
(default-compile) on project cayenne-jdk1.5-unpublished: Compilation failure
	at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:213)
	at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:153)
	at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:145)
	at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:84)
	at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:59)
	at org.apache.maven.lifecycle.internal.LifecycleStarter.singleThreadedBuild(LifecycleStarter.java:183)
	at org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:161)
	at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:319)
	at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
	at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)
	at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)
	at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
	at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
	at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)
	at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)
Caused by: org.apache.maven.plugin.CompilationFailureException: Compilation failure
	at org.apache.maven.plugin.AbstractCompilerMojo.execute(AbstractCompilerMojo.java:656)
	at org.apache.maven.plugin.CompilerMojo.execute(CompilerMojo.java:128)
	at org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:101)
	at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:209)
	... 19 more
[ERROR] 
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following
articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException
[ERROR] 
[ERROR] After correcting the problems, you can resume the build with the command
[ERROR]   mvn <goals> -rf :cayenne-jdk1.5-unpublished
Build step 'Invoke top-level Maven targets' marked build as failure
Archiving artifacts


Mime
View raw message